Sane_backend güncelleme


(Serkan) #1

Merhaba,

Kullanmakta olduğum tarayıcı sane-backends-1.0.25 vesiyonu tarafından destekleniyor. Fakat şu an güncel yüklü olan versiyon sane-backends-1.0.24. Güncelleme konusunda yardım veya yönlendirmelerinizi rica ederim.

Teşekkürler


(Cüneyt Ulusoy) #2

sane-backends paketini linkten indiriniz. İndirdiğiniz dosya üzerinde farenizin sağ tuşu > Çıkart > Arşivi buraya çıkart, alt dizinl otomatik belirle. Arşivden çıkan dizin içerisinde uçbirim açarak (F4) aşağıdaki komutları uygulayınız.

./configure (gerekli kütüphanelerin ve bileşenlerin sistemde yüklü olup olmadığını kontrol ederek bir eksiklik var ise uyarır, eksik bileşenleri yüklemenizi ister, uyarıları inceleyiniz) (bir sorun yok ise devam ediniz)
make
make install


(Serkan) #3

Cevap için teşekkürler.

Dediğiniz adımları takip ettim ve güncelleme sağlandı. Ancak scanimage -L dediğim zaman tarayıcıyı hala göremiyor. Kullandığım tarayıcı Canon Lide220.

sane-find-scanner dediğim zaman tarayıcıyı buluyor. Ancak dediğim gibi scanimage -L dediğim zaman aşağıdaki mesajı veriyor. Xsane ile taratmaya çalıştığımda da cihazı bulamıyor. Yapmam gereken başka birşeyler daha mı var? Teşekkürler

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).


(Cüneyt Ulusoy) #4

simple-scan yükleyip deneyebilir misiniz?
bir de kuser da kullanıcınızı saned grubuna ekleyinip, çıkış/giriş yaparak deneyiniz. Bu şekilde çözüme ulaşan kullanıcılar var mış diğer sistemlerde.


(Serkan) #5

Merhaba,

simple-scan yüklemeye çalışırken readMe dosyasındaki aşağıdaki komutu çalıştırıken hata almaktayım. Ne yapmalıyım?

Teşekkürler

sudo apt-get build-dep simple-scan

Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
E: simple-scan paketinin kaynak paketi bulunamadı


(Cüneyt Ulusoy) #6

/etc/apt/source.list dosyasının içeriğini paylaşır mısınız?


(malik ) #7

x sane canon pixma e464 tarayıcıda tanımıyor.

simple scan yükledim.tarayıcı yerine kamerayı açıyor.:slight_smile:


(malik ) #8

canon pixma e464 Tarayıcı sürücüsünü yeniden yükledim.Şimdi hem x sane hem de simple scan çalışıyor.:slight_smile:


(alpersel) #9

./configure dediğimde aşşağıdaki çıktıyı aldım.

checking for a BSD-compatible install… /usr/bin/install -c
checking whether build environment is sane… yes
checking for a thread-safe mkdir -p… /bin/mkdir -p
checking for gawk… no
checking for mawk… mawk
checking whether make sets $(MAKE)… no
checking whether make supports nested variables… no
checking whether make supports nested variables… (cached) no
checking whether to enable maintainer-specific portions of Makefiles… no
checking for gcc… no
checking for cc… no
checking for cl.exe… no
configure: error: in /home/alpersel/Downloads/sane/sane-backends-1.0.27': configure: error: no acceptable C compiler found in $PATH Seeconfig.log’ for more details


(Cüneyt Ulusoy) #10

sudo apt-get install gcc komutu ile derleyiciyi yükleyip, tekrar deneyiniz.